header:
  version: 8

machine: qemuarm64
distro: nodistro
target:
  - core-image-base
  - core-image-full-cmdline
  - core-image-sato

defaults:
  repos:
    refspec: master

repos:
  oe-core:
    url: https://git.openembedded.org/openembedded-core
    path: layers/oe-core
    layers:
      meta:
  bitbake:
    url: https://git.openembedded.org/bitbake
    path: layers/oe-core/bitbake
    layers:
      .: excluded

bblayers_conf_header:
  base: |
    BBPATH = "${TOPDIR}"
    BBFILES ?= ""

local_conf_header:
  base: |
    PACKAGE_CLASSES ?= "package_ipk"
    SDKMACHINE ?= "x86_64"
    EXTRA_IMAGE_FEATURES ?= "debug-tweaks"
    USER_CLASSES ?= "buildstats image-mklibs image-prelink"
    PATCHRESOLVE = "noop"
    BB_DISKMON_DIRS ?= "\
        STOPTASKS,${TMPDIR},1G,100K \
        STOPTASKS,${DL_DIR},1G,100K \
        STOPTASKS,${SSTATE_DIR},1G,100K \
        STOPTASKS,/tmp,100M,100K \
        ABORT,${TMPDIR},100M,1K \
        ABORT,${DL_DIR},100M,1K \
        ABORT,${SSTATE_DIR},100M,1K \
        ABORT,/tmp,10M,1K"
    CONF_VERSION = "1"
    TCLIBCAPPEND = ""
